<?php 

declare(strict_types =1);

namespace MyApp\Entity;
use MyApp\Entity\chambre;
use MyApp\Entity\services_disponible;

class Proposer{
    private ?chambre $id_chambre = null; // vide tant qu'il n'a pas récup de valeur de la BDD
    private ?services_disponible $id_services_disponible = null;

    public function __construct(?chambre $id_chambre, ?services_disponible $id_services_disponible){
        $this->id_chambre = $id_chambre;
        $this->id_services_disponbile = $id_services_disponible;
    }

    // get pour récuperer des données dans la BDD
    public function getId_chambre():?chambre{
        return $this->id_chambre;
    }
    public function setId_chambre(?chambre $id_chambre):void{
        $this->id_chambre = $id_chambre;
    }

    public function getId_services_disponible():?services_disponible{
        return $this->id_services_disponible;
    }
    public function setId_services_disponible(?services_disponible $id_services_disponible):void{
        $this->id_services_disponible = $id_services_disponible;
    }

}
